//! Transfer Mode type.

use crate::durandal::err::*;

impl Default for TransferMode
{
   fn default() -> Self {TransferMode::Normal}
}

c_enum! {
   /// A rendering style for many things.
   #[derive(Debug, serde::Serialize)]
   pub enum TransferMode: u16
   {
      0  => Normal,
      1  => FadeBlack,
      2  => Invisibility,
      3  => Invisibility2,
      4  => Pulsate,
      5  => Wobble,
      6  => Wobble2,
      7  => Static,
      8  => Static2,
      9  => Sky,
      10 => Smear,
      11 => StaticFade,
      12 => StaticPulse,
      13 => FoldIn,
      14 => FoldOut,
      15 => SlideHorz,
      16 => SlideHorz2,
      17 => SlideVert,
      18 => SlideVert2,
      19 => Wander,
      20 => Wander2,
      21 => BigSky,
   }
}

// EOF
